## boinc 7.4.23+dfsg

=== samples/vboxmonitor/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxmonitor

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

vboxwrapper: vboxmonitor.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o vboxmonitor vboxmonitor.o libstdc++.a -pthread -lboinc_api -lboinc

=== debian/changelog ===
boinc (7.4.23+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:26:02 +0100

boinc (7.4.23+dfsg-1exp3) experimental; urgency=medium

  [ Nelson A. de Oliveira ]
  * Fix wrong chown binary path (Closes: #768429).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 07 Nov 2014 12:30:50 +0100

boinc (7.4.23+dfsg-1exp2) experimental; urgency=medium

  * Fix other dependencies on dbg packages.
  * Reorder debian patches, drop useless and old ones.
  * Add pre-depends on shared multiarch packages.
  * Add service file, tweaked from the fedora one.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 18 Oct 2014 14:34:41 +0200

boinc (7.4.23+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 17:15:26 +0200

boinc (7.4.23+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Relaxing dependencies between packages, to allow binNMUs
    (Closes: #765670).
  * Remove useless -dbg packages dependencies.
  * Make boinc multiarch compatible:
    - switch dev packages to arch:any
    - remove disabled multiarch tweaks in rules file.
    - tweak .install files to point to the triplet lib directory

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 14:49:21 +0200

boinc (7.4.22+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 18:06:45 +0200

boinc (7.4.22+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  [ mdt]
  * Add lbcudart-6.5 compatibility.
  [ Gianfranco Costamagna ]
  * Fix again some lintian copyright problems.
  * Remove a pyshared empty directory (server-maker).
  * Fix missing "Keywords" in desktop file.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 10 Oct 2014 19:59:25 +0200

boinc (7.4.22+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 01 Oct 2014 17:59:09 +0200

boinc (7.4.22+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Build with NDEBUG to disable massive debug output
    in ~/.BOINC/stderrgui.txt file (Closes: #763113)
  * Fix some entries in copyright file for lintian happyness.
  * Don't require all facilities in boinc-client start,
    making lintian happy again.
  * Update copyright file.
  * Bump std-version to 3.9.6, no changes required.
  * Fix dh_install and dh_strip targets.
  [ mdt ]
  * Add dh-python as B-D.
  * Add new libcuda{,rt} compatibility.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 01 Oct 2014 17:57:03 +0200

boinc (7.4.22+dfsg-1exp1) experimental; urgency=low

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 24 Sep 2014 10:53:05 +0200

boinc (7.4.22+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove termios_is_everywhere.patch, fixed upstream.
  * Remove libx11-dev, libxcb-dpms0-dev, libxss-dev, libxext-dev
    from build dependencies, upstream now uses /dev to
    get devices information.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 03 Sep 2014 10:27:56 +0200

boinc (7.4.18+dfsg-1exp2) experimental; urgency=medium

  * Re-enable termios_is_everywhere.patch, kfreebsd
    still have the build failures.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Sep 2014 09:59:08 +0200

boinc (7.4.18+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.
  * Disable no-add-needed LDFLAG.
  * Attempt to disable termios_is_everywhere.patch and
    upstream_sztaki_configureEval.patch
  * Patch tweaks and refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Sep 2014 16:20:15 +0200

boinc (7.4.18+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release, drop mv-md5.patch and
    libnotify-0.7.patch, accepted upstream.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Sep 2014 15:01:37 +0200

boinc (7.4.14+dfsg-2exp2) experimental; urgency=medium

  * Correctly exporting LDFLAGS prior to add them.
  * Move .gitignore to debian directory, to keep the delta from
    upstream minimal.
  * d/p/fix-dependencies.patch depending from a target rather than la
    (to avoid race conditions between the "ln" and the use of the
    static library)
  * Remove double LDFLAG inclusion in add-ldflags.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 30 Aug 2014 20:31:45 +0200

boinc (7.4.14+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 28 Aug 2014 19:00:36 +0200

boinc (7.4.14+dfsg-2) unstable; urgency=medium

  * Update fix-typo.patch with another typo fixed.
  * Move boinc-client from depends of boinc-manager.
  * Export again hardening flags.
  * Fix typo in rules file (override_dh_auto_install called
    as rm argument).
  * Enable parallel builds only for experimental (Closes: #758184).
  * Fix lintian duplicate short description on boinc-dev.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 14 Aug 2014 10:38:10 +0200

boinc (7.4.14+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 13 Aug 2014 20:36:56 +0200

boinc (7.4.14+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove X-interactive from init script, not used.
  * Fix a typo in lib/Makefile.am (typo-fix.patch)
  * Disable dynamic_libboinc.patch, it was not needed and moreover


=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Standards-Version: 3.9.6
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-systemd,
               dh-python,
               docbook-xml,
               docbook2x,
               dpkg-dev (>= 1.16.1.1),
               freeglut3-dev,
               gettext,
               libcurl4-openssl-dev,
               libfcgi-dev,
               libgtk2.0-dev,
               libice-dev,
               libjpeg-dev,
               libmysqlclient-dev,
               libnotify-dev (>= 0.7.0),
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwxgtk-webview3.0-dev,
               libwxgtk3.0-dev,
               libxcb-util0-dev,
               libxi-dev,
               libxml2-utils,
               libxmu-dev,
               pkg-config,
               po-debconf,
               python-all,
               python-setuptools,
               zlib1g-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: all
Depends: boinc-client (>= ${source:Version}),
         boinc-manager (>= ${source:Version}),
         ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-nvidia-cuda
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}
Recommends: libcuda1 | libcuda-5.0-1 | libcuda-5.5-1 | libcuda-6.0-1 | libcuda-6.5-1 | nvidia-173 | nvidia-current | nvidia-current-updates | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates | nvidia-319 | nvidia-319-updates | nvidia-331 | nvidia-331-updates | libcuda1-304 | libcuda1-304-updates | libcuda1-331 | libcuda1-331-updates,
            libcudart4 | libcudart5.0 | libcudart5.5 | libcudart6.0 | libcudart6.5
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-amd-opencl
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}
Recommends: amd-libopencl1 | fglrx | fglrx-updates, fglrx-driver
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.
 .
 This package is not perfect, yet. A major problem for the moment
 is the availability of the OpenCL driver for 32bit binaries for
 amd64. If this is planned, install the amd-app package provided
 through the AMD developer forum.

Package: boinc-client
Architecture: any
Depends: adduser,
         ca-certificates,
         libboinc7 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: boinc-amd-opencl, boinc-manager, boinc-nvidia-cuda, x11-xserver-utils
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.

Package: boinc-manager
Section: x11
Architecture: any
Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: oldlibs
Architecture: any
Priority: extra
Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
Description: development files to build applications for BOINC projects (transitional)
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Section: libdevel
Architecture: any
Depends: libboinc-app7 (= ${binary:Version}),
         libboinc7 (= ${binary:Version}),
         libc6-dev | libc-dev,
         libmysqlclient-dev,
         libssl-dev,
         libstdc++-4.8-dev | libstdc++-4.9-dev,
         ${misc:Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3)
Replaces: boinc-dev (<< 7.0.28+dfsg-3)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.

Package: libboinc-app7
Provides: libboinc-app
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: libboinc7
Provides: libboinc
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}),
         ${misc:Depends}
Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC client packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps. For installations running a BOINC server locally, it may
 be of interest to also install the boinc-server-dbg package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

#export CXX=clang++

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Disable WXDEBUG assertions (avoiding e.g. https://bugs.debian.org/763113) -
# with -DNDEBUG these are quietly dealt with like they were with wx2.8.
export DEB_CPPFLAGS_MAINT_APPEND := -DNDEBUG

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

ifneq (clang++,$(CXX))
 CFLAGS += -flto
 LDFLAGS += -flto
endif

CFLAGS += -Wall
CXXFLAGS += -Wall
LDFLAGS += -Wl,--as-needed

ifeq (,$(DEB_OPT_FLAGS))
   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

#copy the original control.in file
$(shell cp debian/control.in debian/control)
$(shell sed '/^#/d' -i debian/control)

ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')

ifeq (,$(ENABLE_SERVER_TEST))
$(shell sed 's/^%//' -i debian/control)
else
$(shell sed '/^%/d' -i debian/control)
endif

ifeq (,$(ENABLE_SERVER_TEST))
ENABLE_SERVER := --enable-server
endif

#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
#ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
$(shell sed 's/^@//' -i debian/control)
#else
#ENABLE_CLIENT := --disable-client --disable-manager
#$(shell sed '/^@/d' -i debian/control)
#endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
#
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  CPPFLAGS="$(CPPFLAGS)" \
  LDFLAGS="$(LDFLAGS)"


%:
ifeq (,$(ENABLE_SERVER_TEST))
	dh $@ --with python2,autoreconf,systemd # --parallel # this still doesn't work
else
	dh $@ --with python2,autoreconf,systemd
endif

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs
	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
	rm -rf debian/*.debhelper
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator
	rm -f config.status libtool version.h stamp-h1
	find . -name ".libs" | xargs -r rm -r

# Commands not to execute - empty overrides
override_dh_auto_test:

#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@

override_dh_auto_configure:
	debconf-updatepo
	#./_autosetup
	#if [ ! -r ltmain.sh ]; then libtoolize; fi
	#aclocal -I m4 && autoheader && automake --add-missing && autoconf
	@echo
	@echo "****             *****"
	@echo "**** Configuring *****"
	@echo "****             *****"
	@echo
	dh_auto_configure -- $(CFGFLAGS_boinc-client)

update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
	docbook2x-man debian/manpages/update-boinc-applinks.xml

## boinc 7.6.6+dfsg

=== debian/changelog ===
boinc (7.6.6+dfsg-3) unstable; urgency=medium

  * d/p/fix-underlinking.patch (Closes: #794107).
    Thanks Thorsten Glaser for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2015 09:18:00 +0200

boinc (7.6.6+dfsg-2exp1) unstable; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2015 20:07:29 +0200

boinc (7.6.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2015 20:06:43 +0200

boinc (7.6.6+dfsg-1exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release, patch refresh.
  * Update my uid
  * Re-enable screensaver package.
  * Add nvidia-modprobe as dependency (LP: #1400021)
  * d/control.in according to gcc, virtual package libstdc++-dev
    is enough to provide libstdc++.a.
  * d/patches/coproc.patch, fix build failure.
  * Make boinc Multi-Arch: same
  * Drop patches now that 7.5 is a tag from master
    - debian/patches/coproc.patch
    - debian/patches/fix-typo.patch
    - debian/patches/server_status_php.patch
  [ Vincent Danjean ]
  * fix gpu stuff (Closes: #763655)
  [ Michael Tautschnig ]
  * d/p/envargs.patch, fix inconsistencies spot with research compiler.
    (Closes: #747964)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2015 14:25:20 +0200

boinc (7.4.23+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with the boinc-server-* packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 10 Dec 2014 13:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -62,13 +62,13 @@
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
 
-Package: boinc-nvidia-cuda
+Package: boinc-client-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}
-Recommends: libcuda1 | libcuda-5.0-1 | libcuda-5.5-1 | libcuda-6.0-1 | libcuda-6.5-1 | nvidia-173 | nvidia-current | nvidia-current-updates | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates | nvidia-319 | nvidia-319-updates | nvidia-331 | nvidia-331-updates | libcuda1-304 | libcuda1-304-updates | libcuda1-331 | libcuda1-331-updates,
-            libcudart4 | libcudart5.0 | libcudart5.5 | libcudart6.0 | libcudart6.5
+Breaks: boinc-nvidia-cuda
+Replaces: boinc-nvidia-cuda
+Depends: ${misc:Depends}, boinc-client, nvidia-modprobe, libcuda1 | libcudart6.5 | libcudart6.0 | libcudart5.5
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -83,12 +83,14 @@
  section to the regular boinc package. This also meant this binary
  package to be redistributed in the contrib section of Debian.
 
-Package: boinc-amd-opencl
-Architecture: amd64 i386
+Package: boinc-client-opencl
+Architecture: any
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}
-Recommends: amd-libopencl1 | fglrx | fglrx-updates, fglrx-driver
+Breaks: boinc-amd-opencl
+Replaces: boinc-amd-opencl
+Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
+Recommends: amd-opencl-icd | opencl-icd
 Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -102,11 +104,28 @@
  graphics cards.  This package adds a series of dependencies from the
  non-free section to the regular boinc package. This also meant this
  binary package to be redistributed in the contrib section of Debian.
- .
- This package is not perfect, yet. A major problem for the moment
- is the availability of the OpenCL driver for 32bit binaries for
- amd64. If this is planned, install the amd-app package provided
- through the AMD developer forum.
+
+Package: boinc-client-fglrx
+Architecture: amd64 i386
+Section: contrib/net
+Priority: extra
+Breaks: boinc-nvidia-cuda
+Replaces: boinc-nvidia-cuda
+Depends: ${misc:Depends}, boinc-client
+Recommends: libfglrx | fglrx-updates | fglrx
+Description: metapackage for AMD/ATI fglrx-savvy BOINC client and manager
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ Regular users (righteously) often find it an unbearable nuisance to
+ care for the configuration of BOINC for the fglrx-savvy AMD/ATI
+ graphics cards.  This package adds a series of dependencies from the
+ non-free section to the regular boinc package. This also meant this
+ binary package to be redistributed in the contrib section of Debian.
 
 Package: boinc-client
 Architecture: any
@@ -116,7 +135,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Suggests: boinc-amd-opencl, boinc-manager, boinc-nvidia-cuda, x11-xserver-utils
+Suggests: boinc-client-opencl, boinc-client-fglrx, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -131,6 +150,36 @@
  attaching a local machine to a project, this client will also
  dynamically download the scientific data and executables to be then
  wrapped by the BOINC core client.
+
+Package: boinc-screensaver
+Section: x11
+Architecture: any
+Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
+Suggests: boinc-manager
+Description: screen saver auto-controlling volunteer computing
+ The Berkeley Open Infrastructure for Network Computing (BOINC) is a
+ software platform for distributed computing: several initiatives of
+ various scientific disciplines all compete for the idle time of
+ desktop computers. The developers' web site at the University of
+ Berkeley serves as a common portal to the otherwise independently run
+ projects.
+ .
+ The BOINC client is configurable by the command line or the BOINC
+ manager's GUI to compute with any range between 0% and 100% of
+ available resources, and to change that ratio to a higher after
+ some user determined duration of inactivity. There is now quite
+ a number of individuals who prefer to have everything presented
+ with their accustomed principle for setting and choosing a screen
+ saver. Upon inactivity, the BOINC client is started, and stopped
+ again when the user is back. To save the screen, it then shows
+ the graphical progress indication as optionally shown also by
+ the manager.
+ .
+ This package is excellent to further promote BOINC, recalling the
+ effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
+ Just, when using it together with the regular BOINC client setup,
+ it is suggested not to have all CPUs used to avoid multiple
+ processes running on the same core.
 
 Package: boinc-manager
 Section: x11
@@ -176,7 +225,7 @@
          libc6-dev | libc-dev,
          libmysqlclient-dev,
          libssl-dev,
-         libstdc++-4.8-dev | libstdc++-4.9-dev,
+         libstdc++-dev,
          ${misc:Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3)
@@ -190,6 +239,7 @@
 
 Package: libboinc-app7
 Provides: libboinc-app
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
@@ -206,6 +256,7 @@
 
 Package: libboinc7
 Provides: libboinc
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
@@ -231,13 +282,3 @@
          ${misc:Depends}
 Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
 Description: debugging symbols for BOINC binaries
- The Berkeley Open Infrastructure for Network Computing (BOINC) is a
- software platform for distributed computing using volunteered computer
- resources.
- .
- This package contains unstripped versions of all binaries included in
- the BOINC client packages. It is provided primarily to provide a backtrace
- with names in a debugger, this makes it somewhat easier to interpret
- core dumps. For installations running a BOINC server locally, it may
- be of interest to also install the boinc-server-dbg package.
-

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://github.com/BOINC/boinc/tags .*/client_release/\d\.\d/(\d.*)\.tar\.gz  \
debian /bin/sh debian/get-orig-source.sh

## boinc 7.6.31%2Bdfsg

=== samples/sleeper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS += -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = sleeper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	rm -f $(PROGS) *.o libstdc++.a

sleeper: sleeper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o sleeper sleeper.o libstdc++.a -pthread -lboinc_api -lboinc

=== debian/rules ===
--- 
+++ 
@@ -174,6 +174,7 @@
   --enable-libraries \
   --enable-unicode \
   --enable-shared \
+  --enable-dynamic-client-linkage \
   --with-ssl \
   --with-x \
   CFLAGS="$(CFLAGS_boinc-client)" \
@@ -232,5 +233,3 @@
 	dh_auto_configure -- $(CFGFLAGS_boinc-client)
 
 update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
-	docbook2x-man debian/manpages/update-boinc-applinks.xml
-

## boinc 7.6.31+dfsg

=== samples/condor/Makefile ===
all: boinc_gahp

clean:
	rm boinc_gahp

boinc_gahp: boinc_gahp.cpp ../../lib/remote_submit.h ../../lib/remote_submit.cpp
	g++ -g -O0 -I../../lib \
	-o boinc_gahp boinc_gahp.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lpthread -lcurl

test: test.cpp ../../lib/remote_submit.cpp ../../lib/remote_submit.h
	g++ -g -o test -I../../lib \
	test.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lcurl

=== samples/vboxmonitor/Makefile ===
--- 
+++ 
@@ -26,5 +26,5 @@
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
-vboxwrapper: vboxmonitor.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
+vboxmonitor: vboxmonitor.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
 	g++ $(CXXFLAGS) -o vboxmonitor vboxmonitor.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/vboxwrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxwrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

floppyio.o: floppyio.cpp
	g++ $(CXXFLAGS) -c floppyio.cpp

vbox_common.o: vbox_common.cpp
	g++ $(CXXFLAGS) -c vbox_common.cpp

vbox_vboxmanage.o: vbox_vboxmanage.cpp
	g++ $(CXXFLAGS) -c vbox_vboxmanage.cpp

vboxcheckpoint.o: vboxcheckpoint.cpp
	g++ $(CXXFLAGS) -c vboxcheckpoint.cpp

vboxjob.o: vboxjob.cpp
	g++ $(CXXFLAGS) -c vboxjob.cpp

vboxlogging.o: vboxlogging.cpp
	g++ $(CXXFLAGS) -c vboxlogging.cpp

vboxwrapper.o: vboxwrapper.cpp
	g++ $(CXXFLAGS) -c vboxwrapper.cpp

vboxwrapper: vboxwrapper.o vbox_common.o vbox_vboxmanage.o vboxcheckpoint.o vboxjob.o vboxlogging.o floppyio.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox_common.o vbox_vboxmanage.o vboxcheckpoint.o vboxjob.o vboxlogging.o floppyio.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
BOINC_ZIP_DIR = $(BOINC_DIR)/zip
PTHREAD = -pthread

CXXFLAGS += -g -O0 \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(BOINC_ZIP_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `$(CXX) -print-file-name=libstdc++.a`

clean: distclean

distclean:
	rm -f $(PROGS) *.o libstdc++.a

REGEXP_OBJS = \
	regexp.o \
	regsub.o \
	regerror.o \
	regexp_memory.o \
	regexp_report.o

wrapper: wrapper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(REGEXP_OBJS)
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o wrapper wrapper.o $(REGEXP_OBJS) libstdc++.a $(PTHREAD) -lboinc_api -lboinc -lboinc_zip

=== debian/changelog ===
boinc (7.6.31+dfsg-6) unstable; urgency=medium

  * Upload to unstable
  [ Lorenzo Mastrogiacomi ]
  * Make cc_config.xml configurable from users
    members of boinc group (Closes: #818789).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 12:36:30 +0200

boinc (7.6.31+dfsg-5exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Apr 2016 10:46:14 +0200

boinc (7.6.31+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  [ Christian Beer ]
  * debian/patches/dcd9eb3c2ec1f729b12983bf5ee6395565871a22.patch:
    fix nvidia GPU detection (Closes: #819990)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Apr 2016 10:44:47 +0200

boinc (7.6.31+dfsg-4exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 11:47:42 +0200

boinc (7.6.31+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * do not build cuda package on ppc64el, libcuda1 is not
    available there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 11:44:46 +0200

boinc (7.6.31+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 12:50:16 +0200

boinc (7.6.31+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * Add ppc64el to nvidia-cuda packages, and refactor
    nvidia libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 12:49:16 +0200

boinc (7.6.31+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 11:06:22 +0200

boinc (7.6.31+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  [ Graham Inggs ]
  * Drop nvidia-modprobe and cudart libraries, not used.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 11:04:10 +0200

boinc (7.6.31+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2016 10:09:25 +0100

boinc (7.6.31+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2016 10:08:25 +0100

boinc (7.6.29+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Mar 2016 17:17:22 +0100

boinc (7.6.29+dfsg-2) unstable; urgency=high

  * Upload to unstable.
  * fix typo in control.in file, preventing the package
    from being backported (libstdc++5-dev not available)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Mar 2016 17:14:23 +0100

boinc (7.6.29+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2016 19:24:41 +0100

boinc (7.6.29+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2016 19:23:55 +0100

boinc (7.6.28+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 17:35:31 +0100

boinc (7.6.28+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release, patch refresh.
  * Bump std-version to 3.9.7, and watch file to 4.
  * Fix unsecure VCS-* fields.
  [ Preston Maness ]
  * Fix missing stdout/stderr logs with systemd service file.
    Closes: #815214

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Feb 2016 17:28:44 +0100

boinc (7.6.25+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 19:03:56 +0100

boinc (7.6.25+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add support for cuda 7.5 (amd64 only). Closes: #814659
    - thanks Andreas Beckmann for the useful bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 19:01:48 +0100

boinc (7.6.25+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 12:42:39 +0100

boinc (7.6.25+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable
  * Remove sleep 1 in service file, useless because it doesn't
    fix the missing GPU detect (LP: #1544300)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 12:38:59 +0100

boinc (7.6.23+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2016 20:20:32 +0100

boinc (7.6.23+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (Closes: #811947)
  * Drop all patches from Preston: upstream.
  * Patch refresh.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2016 20:00:48 +0100

boinc (7.6.22+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jan 2016 18:37:05 +0100

boinc (7.6.22+dfsg-3) unstable; urgency=medium

  [ Marcel Partap]
  * Add IOSchedulingClass=idle to service file, avoiding ionice
    (Closes: #813134)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jan 2016 18:35:35 +0100



=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
-           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
-Standards-Version: 3.9.6
+           Gianfranco Costamagna <locutusofborg@debian.org>
+Standards-Version: 3.9.7
 Build-Depends: autoconf,
                automake,
                autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-python,
                dh-systemd,
-               dh-python,
                docbook-xml,
                docbook2x,
                dpkg-dev (>= 1.16.1.1),
@@ -35,14 +35,15 @@
                libxi-dev,
                libxml2-utils,
                libxmu-dev,
+               libxss-dev,
                pkg-config,
                po-debconf,
                python-all,
                python-setuptools,
                zlib1g-dev
-Homepage: http://boinc.berkeley.edu/
-Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc.git
+Homepage: https://boinc.berkeley.edu/
+Vcs-Git: https://anonscm.debian.org/git/pkg-boinc/boinc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-boinc/boinc.git
 
 Package: boinc
 Architecture: all
@@ -63,12 +64,12 @@
  BOINC core client.
 
 Package: boinc-client-nvidia-cuda
-Architecture: amd64 i386
+Architecture: amd64 i386 armhf
 Section: contrib/net
 Priority: extra
 Breaks: boinc-nvidia-cuda
 Replaces: boinc-nvidia-cuda
-Depends: ${misc:Depends}, boinc-client, nvidia-modprobe, libcuda1 | libcudart6.5 | libcudart6.0 | libcudart5.5
+Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -225,7 +226,7 @@
          libc6-dev | libc-dev,
          libmysqlclient-dev,
          libssl-dev,
-         libstdc++-dev,
+         libstdc++6-4.7-dev | libstdc++-4.8-dev | libstdc++-4.9-dev | libstdc++-5-dev,
          ${misc:Depends}
 Breaks: boinc-dev (<< 7.0.28+dfsg-3)
 Replaces: boinc-dev (<< 7.0.28+dfsg-3)
@@ -280,5 +281,3 @@
 Architecture: any
 Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}),
          ${misc:Depends}
-Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
-Description: debugging symbols for BOINC binaries

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/BOINC/boinc/tags .*/client_release/\d\.\d/(\d.*)\.tar\.gz
